Bug 22152 - Hide printing the tools navigation when printing reports
Summary: Hide printing the tools navigation when printing reports
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Eden
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-01-17 06:26 UTC by Katrin Fischer
Modified: 2021-02-11 22:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03


Attachments
Bug 22152: Hide tools navigation when printing reports (775 bytes, patch)
2021-01-19 20:19 UTC, Eden
Details | Diff | Splinter Review
Bug 22152: Hide tools navigation when printing reports (833 bytes, patch)
2021-01-21 19:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22152: Hide tools navigation when printing reports (905 bytes, patch)
2021-01-21 19:26 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-17 06:26:34 UTC
Hide the navigation showing up on the left side when printing a report page. (see  22147 for reference)
Comment 1 Eden 2021-01-19 20:19:24 UTC
Created attachment 115345 [details] [review]
Bug 22152: Hide tools navigation when printing reports

1. Go to reports and print any report
2. Check that navigation does not show up when report is printed.
Comment 2 Katrin Fischer 2021-01-21 19:18:30 UTC
Created attachment 115597 [details] [review]
Bug 22152: Hide tools navigation when printing reports

1. Go to reports and print any report
2. Check that navigation does not show up when report is printed.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2021-01-21 19:18:46 UTC
Thx Eden, a nice little improvement!
Comment 4 Kyle M Hall 2021-01-21 19:26:15 UTC
Created attachment 115601 [details] [review]
Bug 22152: Hide tools navigation when printing reports

1. Go to reports and print any report
2. Check that navigation does not show up when report is printed.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-01-22 13:53:41 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-01-29 13:46:07 UTC
Small useful enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.03
Comment 7 Andrew Fuerste-Henry 2021-02-04 21:15:23 UTC
Not backported to 20.05. Feel free to ask if needed.